Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign
Class AdTracking

    java.lang.Object
      com.bea.p13n.ad.AdEventTrackerBase
          com.bea.campaign.AdTracking

All Implemented Interfaces
  AdConstants, AdEventTracker

    public class AdTracking

extends AdEventTrackerBase
implements AdConstants

Helper class for posting events related to ads and campaigns.

Field Summary

Fields inherited from interface com.bea.p13n.ad.AdConstants
`AD_EVENT_TRACKING, AD_RENDERING, AD_SERVICE_NAME, ADBUCKET_SERVICE_NAME, CONFLICT_RESOLVER_NAME, EVENT_SERVICE_NAME, GLOBAL_ADBUCKET_NAME`

Constructor Summary
`AdTracking()`

Method Summary
`void` | `raiseClickThruEvent(String userId, javax.servlet.http.HttpServletRequest request, String containerUID, String scenarioUID, String placeholder, String contpath)` Raise a click-thru event for an ad from a scenario.
`void` | `raiseDisplayEvent(String userId, javax.servlet.http.HttpServletRequest request, String containerUID, String scenarioUID, String placeholder, String contpath)` Raise an impression event for an ad from a scenario.

Methods inherited from class com.bea.p13n.ad.AdEventTrackerBase
`getEventService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdTracking

    public AdTracking()

Method Detail

### raiseDisplayEvent

    public void raiseDisplayEvent(String userId,
                                  javax.servlet.http.HttpServletRequest request,
                                  String containerUID,
                                  String scenarioUID,
                                  String placeholder,
                                  String contpath)

  Raise an impression event for an ad from a scenario.

  Specified by:
    `raiseDisplayEvent` in interface `AdEventTracker`
  Overrides:
    `raiseDisplayEvent` in class `AdEventTrackerBase`
  Parameters
    `userId` - the user id.
    `request` - the http servlet request.
    `containerUID` - the scenario container's (e.g. campaign) unique id.
    `scenarioUID` - the scenario's unique id.
    `placeholder` - the placeholder name.
    `contpath` - the ad's content path.

### raiseClickThruEvent

    public void raiseClickThruEvent(String userId,
                                    javax.servlet.http.HttpServletRequest request,
                                    String containerUID,
                                    String scenarioUID,
                                    String placeholder,
                                    String contpath)

  Raise a click-thru event for an ad from a scenario.

  Specified by:
    `raiseClickThruEvent` in interface `AdEventTracker`
  Overrides:
    `raiseClickThruEvent` in class `AdEventTrackerBase`
  Parameters
    `userId` - the user id.
    `request` - the http servlet request.
    `containerUID` - the scenario container's (e.g. campaign) unique id.
    `scenarioUID` - the scenario's unique id.
    `placeholder` - the placeholder name.
    `contpath` - the ad's content id.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.